#!/bin/sh
#*******************************************************************************
# Licensed Materials - Property of IBM
# (c) Copyright IBM Corporation 2006, 2013. All Rights Reserved.
#
# Note to U.S. Government Users Restricted Rights:
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corp.
#*******************************************************************************
# *
# * This shell script can be used to run the Build Forge Agent for
# * Rational Team Concert IBM i Builds, Packagings, & Deployments.
# *
# * This agent remains active until stopped
# *
# * Change the following to suit your installation requirements:
# * Authentication default values for JAZZ_USER and JAZZ_AUTH_METHOD
# * have been provided; change them as required.
# *
# * Values for JAZZ_AUTH_METHOD:
# *     USERNAME_PASSWORD_POLICY,
# *         (requires JAZZ_USER, JAZZ_PASSWORD_FILE)
# *     CERTIFICATE_FILE_POLICY,
# *         (requires JAZZ_CERTIFICATE_FILE, JAZZ_PASSWORD_FILE)
# *     SMART_CARD_POLICY,
# *         (requires JAZZ_SMARTCARD set to true, JAZZ_USER)
# *     REGISTRY_POLICY,
# *         (requires JAZZ_REGISTRY)
# *
# * @yourPasswordFile@
# *                - Your Jazz Password File.
# *
# * @workPath@
# *                - Directory where SCM metadata is stored.
# *
# * A default value for JAZZ_USER has been set to JTSBUILD.  If you
# * wish to use a different user id for connecting back to the
# * Jazz Team Server, change this value.
# *
# * A default value for JAVA_HOME has been provided which uses JDK 6.0
# * if you wish to use JDK 7.0, change the value below.
# *
# *********************************************************************
#

BLD_SYSTEM=/QIBM/ProdData/RTC405/Build/jazz/buildsystem
export BLD_SYSTEM

export BLD_TOOLKIT=$BLD_SYSTEM/buildtoolkit

export JAVA_HOME=/QOpenSys/QIBM/ProdData/JavaVM/jdk60/32bit

export JAZZ_AUTH_METHOD=USERNAME_PASSWORD_POLICY
export JAZZ_USER=JTSBUILD
export JAZZ_PASSWORD_FILE=@yourPasswordFile@
export SCM_WORK=@workPath@

ANT_HOME=$BLD_SYSTEM/buildengine/eclipse
ANT_HOME=$ANT_HOME/plugins/org.apache.ant_1.7.1.v20100518-1145
export ANT_HOME

JBE_COMMAND="${BLD_SYSTEM}"/buildengine/eclipse/jbe.sh
export JBE_COMMAND

# Run The Agent
${BLD_SYSTEM}/buildagent/bfagent -s -f ${BLD_SYSTEM}/buildagent/bfagent.conf
